
%define build_doc 0

%define major	1
%define libname	%mklibname vdpau %major
%define devname	%mklibname vdpau -d
%define tracename %mklibname vdpau-trace

Summary:	Video Decode and Presentation API for Unix
Name:		libvdpau
Version:	1.1.1
Release:	%mkrel 3
License:	MIT
Group:		System/Libraries
URL:		http://www.nvnews.net/vbulletin/showthread.php?t=123091
Source0:	http://cgit.freedesktop.org/~aplattner/libvdpau/libvdpau-%{version}.tar.xz
Patch0:		libvdpau-0.9-fix-X11-underlinking.patch
Patch1:     libvdpau-workaround-flashplayer-konq-opera.patch
Patch2:     0001-mesa_dri2-Add-missing-include-of-config.h-to-define-.patch
Patch3:     0002-util.h-Make-getenv_wrapper-static-inline.patch
Patch4:     0003-Fix-doc-error-on-displayable-surface-types.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
%if %{build_doc}
BuildRequires:	tetex 
BuildRequires:	graphviz 
BuildRequires:	doxygen
%endif

%description
The Video Decode and Presentation API for Unix (VDPAU) provides a
complete solution for decoding, post-processing, compositing, and
displaying compressed or uncompressed video streams. These video
streams may be combined (composited) with bitmap content, to
implement OSDs and other application user interfaces.

Only the proprietary NVIDIA driver supports this interface so far.

%package -n %libname
Summary:	VDPAU shared library
Group:		System/Libraries
Obsoletes:	libvdpau

%description -n %libname
The Video Decode and Presentation API for Unix (VDPAU) wrapper shared
library. This library is responsible for loading the hardware-specific
VDPAU driver.

%package -n %tracename
Summary:	VDPAU tracing module for debugging
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}

%description -n %tracename
VDPAU tracing module libvdpau_trace.so for debugging VDPAU.

%package -n %devname
Summary:	VDPAU development headers
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	vdpau-devel = %{version}-%{release}

%description -n %devname
This package contains the VDPAU headers for developing software that
uses VDPAU.

%prep
%setup -q

%apply_patches

%build
autoreconf -fi
%configure2_5x \
%if ! %{build_doc}
  --disable-documentation
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#remove uneeded files
rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/vdpau/*.{la,so}

%if %{build_doc}
mv %{buildroot}%{_docdir}/libvdpau/html api-html
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libvdpau.so.%{major}*
%dir %{_libdir}/vdpau

%files -n %tracename
%defattr(-,root,root)
%{_libdir}/vdpau/libvdpau_trace.so.*

%files -n %{devname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%if %{build_doc}
%doc api-html
%endif
%{_sysconfdir}/vdpau_wrapper.cfg
%{_includedir}/vdpau
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc

%clean
rm -rf %{buildroot}


%changelog
* Sun Jul 23 2017 bb2 <bb2> - 1.1.1-3pclos2017
- apply fedora patches

* Fri May 26 2017 bb2 <bb2> - 1.1.1-2pclos2017
- rebuild for 2017
